Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt

From: "Rainer Gerhards" <[email-masked]>
Date: Thu, 8 Jun 2006 22:06:10 +0200

Hi,

I have been told that Huawei patents date back no longer than 2001. This
seems to confirm it:

http://appft1.uspto.gov/netacgi/nph-Parser?Sect1=PTO2&Sect2=HITOFF&p=2&u
=%2Fnetahtml%2FPTO%2Fsearch-bool.html&r=0&f=S&l=50&d=PG01&s1=HUAWEI&Page
=Next&OS=HUAWEI&RS=HUAWEI

Also, David said "I believe the applicant is permitted to not disclose
the claims for
eighteen months.". Assuming this holds true, and speaking only of US
patents, this seems to mean that the patent in question can not date
back to later than 2004.

In contrast, Google has a newsgroup post about syslog-ng and stunnel
from 1999:

http://groups.google.com/group/comp.security.unix/browse_thread/thread/d
125f044c5f8ba4a/6c87c15ddff26516?lnk=st&q=syslog-ng+stunnel&rnum=118#6c8
7c15ddff26516

I guess there are many more samples of prior art (e.g. during the
formation of this WG, some texts I wrote myself in 2004, many more
howtows pre-2000 and probably stunnel changelogs and installations).

This all brings me to the conclusion that this is not only insane but
mostly irrelavant. Of course, someone needs to object the patent if it
is awarded (which unfortunately seems to be more than possible). The
question is who will do that (and what it costs). But besides that,
there should be no problem.

What a rotten system the patent system has become...

Back to on-topic: I think we can continue with -transport-tls, though I
have to admit I am still hesitant to put too much effort into it myself.
Probably those claiming rights should also do at least a little work on
it ;)

Rainer  

> -----Original Message-----
> From: Chris Lonvick [mailto:[email-masked]] 
> Sent: Thursday, June 08, 2006 5:27 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt
> 
> Hi,
> 
> On Thu, 8 Jun 2006, Balazs Scheidler wrote:
> > On Thu, 2006-06-08 at 09:38 +0200, Rainer Gerhards wrote:
> 
> <Rainer>
> >> I think using a patented technology inside a standard will 
> definitely
> >> hinder the acceptance of that standard. Especially if it 
> is something as
> >> trivial as syslog over tls. So my vote is to put this work 
> on hold until
> >> further clarification can be obtained. If that means we'll have no
> >> syslog RFC, so be it. That would probably be the better choice...
> >
> 
> <Bazsi>
> > My feelings are about the same. I don't really know the US 
> patent system
> > specifics, how long does it take to have something concrete 
> about the
> > patent?
> 
> 
> [Minor note: I don't think that we can assume that it is being filed 
> within the USPTO.]
> 
> It appears to me (and I'm willing to take more input) that 
> the general 
> consensus is that an IPR-encumbered syslog/tls document would 
> not gain 
> acceptance within the development community.
> 
> I would like to do 2 things at this time:
> 
> 1) I will ask Huawei to update their IPR claim to cover 
> draft-ietf-syslog-transport-tls-02.txt (the current disclosure only 
> covers -01.txt) and, if possible, to give us a bit more of a 
> clue as to 
> what the IPR covers.  Specifically from RFC 3979, Section 6.4.1:
>     In addition, if the IETF Document includes multiple
>     parts and it is not reasonably apparent which part of such IETF
>     Document is alleged to be Covered by the IPR in question, it is
>     helpful if the discloser identifies the sections of the 
> IETF Document
>     that are alleged to be so Covered.
> I believe that Hauwei does not need to fully disclose their IPR claim 
> but a clue would be helpful.  I think that the section above 
> was written 
> that way so that it could be possible to remove or modify a 
> section so 
> that the document would no longer be covered by a claim.  I 
> don't know 
> that this is possible in this case but I'd like to explore 
> that option.
> 
> 2)  I will ask our Advisor to give us some guidance on this.  (Sam is 
> cc'd.)  We agreed to a tight timeline for our deliverables without 
> considering that we would get hung up on this.  A 
> recommendation has been 
> made on the WG list that we proceed with syslog-transport-udp and 
> syslog-protocol while we see what becomes of the IPR claim of 
> syslog-transport-tls.  We CAN submit syslog-transport-tls in a timely 
> fashion, as per our Charter, but I fear that it would not be 
> accepted or 
> deployed by the community until the IPR issue is resolved.  
> Moving forward 
> with the other two IDs would keep our momentum going and we 
> could address 
> the issue of the IPR as soon as we can.
> 
> Thanks,
> Chris
> 
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/syslog
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog

---

From: Balazs Scheidler <[email-masked]>
Date: Mon, 12 Jun 2006 14:46:47 +0200

> howtows pre-2000 and probably stunnel changelogs and installations).

The problem with the prior art quoted above is that the PTO prefers
written and/or presented material, e.g. articles in magazines, or papers
presented on conferences. Fortunately we have prior art in this category
too: this one dates back to 2001, December from Linuxjournal, issue #92:

http://linuxjournal.com/article/5476

So yes, the patent could probably be invalidated even if it is granted,
however it costs money and needs someone to actually do it (any
takers? :)

I am somewhat undecided, I try to list the pros and cons whether to
continue work on this matter:

Pros:
  - we were working on this for ages now, and a standard is badly needed
  - Huawei probably needs the patent for its portfolio and does not care
less with me, although Cisco might think differently :)

Cons:
  - anyone could be threatened any time, license terms can be terminated
and changed at will, even if it is currently reasonable, a patent is
valid for _17_ years (yeah, that's 2023)
  - a granted patent could also mean that software that implements the
patent cannot go into Linux distributions (at least to those which take
this question seriously).

As I see our first priority is to know more about the patent, but as
that takes time, we should continue working with minimum effort, in the
hope that the patent is not granted, is irrelevant or someone
invalidates it.

-- 
Bazsi